%bcond_without abi

%{!?tcl_version: %define tcl_version 8.6}
%{!?tcl_sitearch: %define tcl_sitearch tcl%{tcl_version}}

%define real_name mysqltcl

Summary:        MySQL interface for Tcl
Name:           tcl-mysqltcl
Version:        3.05
Release:        19%{?dist}

License:        MIT
Group:          Development/Tools
Source:         http://www.xdobry.de/mysqltcl/%{real_name}-%{version}.tar.gz
URL:            http://www.xdobry.de/mysqltcl
Buildroot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mysql-devel
BuildRequires:  tcl-devel
%{?with_abi:Requires: tcl(abi) = %{tcl_version}}
Provides:       %{real_name} = %{version}-%{release}

%description
Mysqltcl is an extension to the Tool Command Language (Tcl) that
provides high-level access to a MySQL database server.


%prep
%setup -q -n mysqltcl-%{version}
chmod -x generic/mysqltcl.c
chmod 644 README ChangeLog COPYING AUTHORS README-msqltcl doc/mysqltcl.html

%build
%configure --with-tcl=%{_libdir} \
           --with-mysql-lib=%{_libdir}/mysql \
           --enable-threads \
           --enable-symbols
make %{?_smp_mflags}


%install
rm -Rf %{buildroot}
make DESTDIR=%{buildroot} install

pushd %{buildroot}%{_libdir}
mkdir %{tcl_sitearch}
mv %{real_name}-%{version} %{tcl_sitearch}
popd


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README ChangeLog COPYING AUTHORS README-msqltcl doc/mysqltcl.html
%{_libdir}/%{tcl_sitearch}/%{real_name}-%{version}
%{_mandir}/mann/*


%changelog
* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 3.05-17
- Changed requires to require tcl-8.6

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 3.05-16
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Mar 23 2011 Dan Horák <dan@danny.cz> - 3.05-11
- rebuilt for mysql 5.5.10 (soname bump in libmysqlclient)

* Wed Mar 23 2011 Rene Ploetz <RenePloetz@gmx.de> - 3.05-10
- Rebuilt against newer libmysqlclient

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.05-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 27 2009 Rene Ploetz <RenePloetz@gmx.de> 3.05-8
- split spec file versions for EL-4 and EL-5 from those of Fedora

* Wed Oct 27 2009 Rene Ploetz <RenePloetz@gmx.de> 3.05-7
- fix tcl version on EL-4 and EL-5

* Wed Oct 08 2009 Rene Ploetz <RenePloetz@gmx.de> 3.05-6
- synchronize the spec file version for all branches

* Wed Oct 07 2009 Rene Ploetz <RenePloetz@gmx.de> 3.05-5
- Fix build on EL-4

* Sat Oct 03 2009 Rene Ploetz <RenePloetz@gmx.de> 3.05-4
- Removed unnecessary Obsoletes tag

* Tue Sep 21 2009 Rene Ploetz <RenePloetz@gmx.de> 3.05-3
- Updated spec file according to bz #466047 comments 17-19

* Thu Oct 30 2008 Rene Ploetz <RenePloetz@gmx.de> 3.05-2
- Updated spec file

* Thu Oct 7 2008 Rene Ploetz <RenePloetz@gmx.de> 3.05-1
- Initial mysqltcl
